Name:		oracle10g-preinstall
Version:	0.1
Release:	custom

Summary:	Oracle 10g pre-install and turning scripts
License:	GPL
Group:		Databases

BuildArch:	noarch

%define ORACLE oracle
%define ORAINVENTORY oinstall
%define OSDBA dba
%define OSOPER oper
%define HOMEDIR /opt/%ORACLE
#%define VARDIR /var/opt/oracle
#%define INVENTORY oraInst.loc
#%define ORATAB oratab

# Environment set
Source0:	oracle.i18n
Source1:	oracle.bash_profile
Source2:	oracle.bashrc
Source3:	oracle.bash_logout
Source4:	oracle10g.sh
# Scripts
Source5:	calc-sysctl
Source6:	oracle-db
Source7:	oracle-lsnr
Source8:	oracle-em
Source9:	oracle-isql
Source10:	oracle-search
# Documentation
Source11:	README

Requires: gcc2.96 libstdc++2.96 make glibc-devel XFree86-libs XFree86-xauth XFree86-locales 

%description
Common scripts to install and maintenance Oracle 10g and it services.

%prep
%build
%install
mkdir -p $RPM_BUILD_ROOT%_initdir
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/profile.d
mkdir -p $RPM_BUILD_ROOT%HOMEDIR/bin
mkdir -p $RPM_BUILD_ROOT%_docdir/%name-%version
#mkdir -p $RPM_BUILD_ROOT%VARDIR

install %SOURCE0 $RPM_BUILD_ROOT%HOMEDIR/.i18n
install %SOURCE1 $RPM_BUILD_ROOT%HOMEDIR/.bash_profile
install %SOURCE2 $RPM_BUILD_ROOT%HOMEDIR/.bashrc
install %SOURCE3 $RPM_BUILD_ROOT%HOMEDIR/.bash_logout
install %SOURCE4 $RPM_BUILD_ROOT%_sysconfdir/profile.d
install %SOURCE5 $RPM_BUILD_ROOT%HOMEDIR/bin
install %SOURCE6 %SOURCE7 %SOURCE8 %SOURCE9 %SOURCE10 $RPM_BUILD_ROOT%_initdir
install %SOURCE11 $RPM_BUILD_ROOT%_docdir/%name-%version/

%pre
/usr/sbin/groupadd -r -f %ORAINVENTORY >/dev/null 2>&1
/usr/sbin/groupadd -r -f %OSDBA >/dev/null 2>&1
/usr/sbin/groupadd -r -f %OSOPER >/dev/null 2>&1

/usr/sbin/useradd -g %ORAINVENTORY -G %OSDBA -d %HOMEDIR -r \
	-c "Oracle database server" -n %ORACLE >/dev/null 2>&1 ||:

/bin/mkdir -p %HOMEDIR/bin
/bin/chmod 755 %HOMEDIR
/bin/chown -R %ORACLE:%ORAINVENTORY %HOMEDIR

#/bin/mkdir -p %VARDIR
#/bin/chmod 755 %VARDIR

#/bin/echo "*:"%HOMEDIR/app/product/10.1.0.3.0":N" > %VARDIR/%ORATAB

#/bin/echo "inventory_loc="%HOMEDIR"/app/oraInventory" > %VARDIR/%INVENTORY
#/bin/echo "inst_group="%ORAINVENTORY >> %VARDIR/%INVENTORY
#/bin/ln -s %VARDIR/%INVENTORY %_sysconfdir/%INVENTORY

#/bin/chown -R %ORACLE:%ORAINVENTORY %VARDIR


%post
if [ $1 = 1 ]; then
    /sbin/chkconfig oracle-db --add
    /sbin/chkconfig oracle-lsnr --add
fi

if [ `grep oracle /etc/security/limits.conf | wc -l` = "0" ]; then
    /bin/echo "
oracle	soft	nproc	16384
oracle	hard	nproc	16384
oracle	soft	nofile	65536
oracle	hard	nofile	65536
    " >> /etc/security/limits.conf
fi

rm -f /etc/redhat-release
echo redhat-3 > /etc/redhat-release


%preun
%preun_service oracle-lsnr
%preun_service oracle-db
%preun_service oracle-em
%preun_service oracle-isql
%preun_service oracle-search

%files
%attr(755,root,root) %_initdir/*
%attr(755,%ORACLE,%ORAINVENTORY) %HOMEDIR/bin/calc-sysctl
%attr(644,%ORACLE,%ORAINVENTORY) %HOMEDIR/.i18n
%attr(644,%ORACLE,%ORAINVENTORY) %HOMEDIR/.bash*
%attr(644,root,root) %_docdir/%name-%version/README
%attr(755,root,root) %config(noreplace) %_sysconfdir/profile.d/oracle10g.sh

%changelog
* Tue Apr 27 2005 Eugene Prokopiev <eugene_prokopiev@mail.ru> 0.1
- Initial spec based on oracle-0.2-alt6 by Igor Muratov <migor@altlinux.ru>
